# TL03 - Export transaction lines JSON file asynchronously

DescriptionThe export is asynchronous. Export status can be retrieved by calling TL04.
Call FrequencyRecommended usage:  once per dayMaximum usage:  once per day

Endpoint: POST /api/sellerpayment/transactions_logs/async
Security: Shop-API-Key

## Security:

  - `Shop-API-Key` (unknown)
    apiKey in header Authorization scopes: ROLE_SHOP_ACCOUNTANCY, ROLE_PARTNER_TRANSACTION_LOG_READ

## Query parameters:

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Request fields (application/json):

  - `accounting_document_id` (string)
    Accounting document request id. This parameter filters on documents requests with these entity types: SHOP_BILLING_CYCLE_PURCHASE_ORDER, FEES or ONE_OFF_FEES.

  - `accounting_document_number` (string)
    Accounting document number

  - `date_created_from` (string)
    Creation date

  - `date_created_to` (string)
    Creation date

  - `format` (string)
    The format of the exported file in TL05. Default value JSON.
Enum: `"JSON"`, `"NDJSON"`

  - `items_per_chunk` (integer)
    The maximum number of items per chunk.

  - `last_updated_from` (string)
    Last updated date

  - `megabytes_per_chunk` (integer)
    The maximum size in megabytes of a chunk.

  - `order_id` (array)
    Order id. This parameter can be supplied multiple times.

  - `order_line_id` (array)
    Order line id. This parameter can be supplied multiple times.

  - `order_reference_for_customer` (array)
    A comma-separated list of order references for customer.

  - `order_reference_for_seller` (array)
    A comma-separated list of order references for seller.

  - `other_reference` (array)
    An external reference for one-off transactions that are not tied to a Mirakl order. This parameter can be supplied multiple times.

  - `pay_out_psp_codes` (array)
    A comma-separated list of pay-out PSP codes. This parameter requires the Hybrid pay-out PSP feature to be enabled.

  - `payment_state` (array)
    Payment state. This parameter can be supplied multiple times.

  - `payment_voucher_number` (string)
    Payment voucher

  - `seller_billing_cycle_id` (array)
    Seller billing cycle ID (UUID format). This parameter can be supplied multiple times.

  - `shop_domain` (array)
    A shop domain. This parameter can be supplied multiple times.

  - `shop_id` (integer)
    Shop identifier

  - `shop_model` (array)
    Shop model. This parameter can be supplied multiple times.

  - `transaction_date_from` (string)
    Transaction date

  - `transaction_date_to` (string)
    Transaction date

  - `transaction_type` (array)
    Transaction type. This parameter can be supplied multiple times.

## Request examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `tracking_id` (string)
    The asynchronous transaction log export id

## Response 200 examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

